# TODO: GTK4 variant for GNOME42 (--with-gtk4, requires libnma-gtk4 >= 1.8.33)
Summary:	NetworkManager VPN integration for vpnc
Summary(pl.UTF-8):	Integracja NetworkManagera z vpnc
Name:		NetworkManager-vpnc
Version:	1.2.8
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/NetworkManager-vpnc/1.2/%{name}-%{version}.tar.xz
# Source0-md5:	b312c8c6d5ed750819d05e23c45eb8fe
Patch0:		%{name}-binary_path.patch
URL:		https://wiki.gnome.org/Projects/NetworkManager
BuildRequires:	NetworkManager-devel >= 2:1.2.0
BuildRequires:	NetworkManager-gtk-lib-devel >= 1.2.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.34
BuildRequires:	gtk+3-devel >= 3.4
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libsecret-devel >= 0.18
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	NetworkManager >= 2:1.2.0
Requires:	NetworkManager-gtk-lib >= 1.2.0
Requires:	glib2 >= 1:2.34
Requires:	gtk+3 >= 3.4
Requires:	libsecret >= 0.18
Requires:	vpnc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetworkManager VPN integration for vpnc.

%description -l pl.UTF-8
Integracja NetworkManagera z vpnc.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-more-warnings \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc.so
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc-editor.so
%attr(755,root,root) %{_libexecdir}/nm-vpnc-auth-dialog
%attr(755,root,root) %{_libexecdir}/nm-vpnc-service
%attr(755,root,root) %{_libexecdir}/nm-vpnc-service-vpnc-helper
%{_prefix}/lib/NetworkManager/VPN/nm-vpnc-service.name
%{_datadir}/dbus-1/system.d/nm-vpnc-service.conf
%{_datadir}/metainfo/network-manager-vpnc.metainfo.xml
%changelog
* Fri Mar 18 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-vpnc.git;a=log;h=master

* Thu Mar 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 4232995
- updated to 1.2.8

* Mon Aug 12 2019 Jan Palus <atler@pld-linux.org> dc023af
- build without libnm-glib compatibility; rel 2

* Sun Oct 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 674920a
- updated to 1.2.6

* Mon Oct 03 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 8c135dd
- Update to 1.2.4

* Tue Jun 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 318d002
- versioned libsecret install time dependency

* Tue Jun 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 7a4b477
- Fix path to configuration file. Release 2

* Sat Jun 18 2016 Marcin Banasiak <marcin.banasiak@gmail.com> b55a1a0
- Update to 1.2.2

* Fri Nov 27 2015 Jakub Bogusz <qboosh@pld-linux.org> d6d09cb
- updated to 1.0.8

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> af81ac1
- updated URL

* Sun Aug 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> 7c32093
- updated to 1.0.6

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 6720001
- updated to 1.0.2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> fe00ca4
- updated gettext BR

* Sun Dec 21 2014 Marcin Banasiak <marcin.banasiak@gmail.com> c8c3169
- Update to 1.0.0

* Tue Jul 08 2014 Jakub Bogusz <qboosh@pld-linux.org> f8a8d92
- updated to 0.9.10.0

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 0ffc146
- updated to 0.9.8.6

* Mon Jun 10 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 247822d
- Update to 0.9.8.2

* Thu Feb 21 2013 Marcin Banasiak <marcin.banasiak@gmail.com> aff2cb4
- Update to 0.9.8.0

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 4cedafa
- updated to 0.9.6.0

* Sat Mar 24 2012 Marcin Banasiak <marcin.banasiak@gmail.com> e71506a
- updated to 0.9.4.0

* Fri Nov 11 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 52f57e5
- updated to 0.9.2.0

